Uploaded image for project: 'Flink'
  1. Flink
  2. FLINK-20803

Version mismatch between spotless-maven-plugin and google-java-format plugin

    XMLWordPrintableJSON

    Details

      Description

      The spotless-maven-plugin uses version 1.7 of the google-java-format, while the IntelliJ google-java-format plugin uses 1.9, resulting in inconsistent formatting.

      We cannot bump the version used by the spotless plugin because it requires java 11, so instead we have to downgrade the intellij plugin to 1.7.0.5 .

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                chesnay Chesnay Schepler
                Reporter:
                chesnay Chesnay Schepler
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: